Index: lib/as_upload_man.c
--- lib/as_upload_man.c.orig	2005-01-01 02:56:59.000000000 +0100
+++ lib/as_upload_man.c	2005-10-16 09:55:34.896795729 +0200
@@ -16,7 +16,7 @@
 
 /*****************************************************************************/
 
-struct queue
+struct xqueue
 {
 	in_addr_t host;
 	time_t    time;
@@ -341,14 +341,14 @@
  * specified to ignore beyond, so that we can avoid timing out entries
  * if later entries haven't pinged us yet.
  */
-static void tidy_queue (ASUpMan *man, struct queue *last)
+static void tidy_queue (ASUpMan *man, struct xqueue *last)
 {
 	List *l, *next;
 	time_t t = time (NULL);
 
 	for (l = man->queue; l; l = next)
 	{
-		struct queue *q = l->data;
+		struct xqueue *q = l->data;
 		
 		next = l->next; /* to avoid referencing freed data
 		                 * should we choose to remove this
@@ -372,7 +372,7 @@
 {
 	ASUpload *up;
 	List *l;
-	struct queue *q = NULL;
+	struct xqueue *q = NULL;
 	int i;
 
 #ifdef VERIFY_ACTIVE_COUNT
@@ -431,7 +431,7 @@
 	if (!l)
 	{
 		/* not queued; insert at end */
-		q = malloc (sizeof(struct queue));
+		q = malloc (sizeof(struct xqueue));
 
 		if (!q)
 			return -1;
